Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Fetch example file from R2 and return content directly.
Python
import requests url = "https://www.datalab.to/api/v1/pipeline_templates/{slug}/examples/{filename}" headers = {"X-API-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
curl --request GET \ --url https://www.datalab.to/api/v1/pipeline_templates/{slug}/examples/{filename} \ --header 'X-API-Key: <api-key>'
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};fetch('https://www.datalab.to/api/v1/pipeline_templates/{slug}/examples/{filename}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://www.datalab.to/api/v1/pipeline_templates/{slug}/examples/{filename}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-Key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Successful Response
Was this page helpful?